### Signal

# GSSDP.ResourceBrowser::resource-update

#### Declaration

    void
    resource_update (
      GSSDPResourceBrowser self,
      gchar* usn,
      guint boot_id,
      guint next_boot_id,
      gpointer user_data
    )

#### Description [src]

The ::resource-update signal is emitted whenever an UPnP 1.1 device is about to change it’s BOOTID.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`
Available since: | 1.2.0

#### Parameters

`usn` | `gchar*`
| The USN of the resource
| The data is owned by the caller of the function
| The string is a NUL terminated UTF-8 string
`boot_id` | `guint`
| The current boot-id
`next_boot_id` | `guint`
| The next boot-id